%define upstream_name    CatalystX-RoleApplicator
%define upstream_version 0.005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Apply roles to your Catalyst application-related classes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CatalystX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(Class::MOP)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::RelatedClassRoles)
BuildArch: noarch

%description
CatalystX::RoleApplicator makes it easy for you to apply roles to all the
various classes that your Catalyst application uses.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.5.0-11.mga10
+ Revision: 2197746
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.5.0-10.mga9
+ Revision: 1802241
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.5.0-9.mga8
+ Revision: 1493469
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.5.0-8.mga7
+ Revision: 1265982
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.5.0-7.mga6
+ Revision: 1023414
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.5.0-6.mga6
+ Revision: 936003
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-5.mga5
+ Revision: 748075
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-3.mga4
+ Revision: 509757
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 364160
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 0.5.0-1.mga3
+ Revision: 335137
- imported package perl-CatalystX-RoleApplicator


* Tue Dec 25 2012 cpan2dist 0.005-1mga
- initial mageia release, generated with cpan2dist
